Subject: Re: Problem with starting up 2.4.21 kernel

From: Dmytro Bablinyuk <[email-masked]>
Date: Wed, 09 Jul 2003 17:44:56 +1200

>  1. Have you configured correctly the timers?

I tried to pass in Hz and in MHz by playing with clocks_in_mhz
environment variable

> 2. Have you correctly configured the serial interface
> (where you have your console)? SCC,SMC..etc.

I could not find in my .config where I can define a SMC1 to use for UART
but I have:
#
# MPC8xx CPM Options
#
# CONFIG_SCC_ENET is not set
CONFIG_FEC_ENET=y
# CONFIG_USE_MDIO is not set
CONFIG_ENET_BIG_BUFFERS=y
# CONFIG_SMC2_UART is not set
# CONFIG_USE_SCC_IO is not set
CONFIG_8xx_COPYBACK=y
CONFIG_8xx_CPU6=y
CONFIG_UCODE_PATCH=y

> And, could you see inside the System.map in what
> function does your kernel locks?

It's a m8xx_cpm_reset function.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/